<?php
require_once('../Conexion/ConexionPDO.php');
session_start();
$con = new ConexionPDO();

$id = $_REQUEST['id'];
if ($id == 0) {
    echo '0';
} else {
    $b = $con->Listar("SELECT codi_cuenta FROM gf_cuenta
            WHERE id_unico =$id");
    // $a = $mysqli->query($sql);        
    // $b = mysqli_fetch_row($a);        
    $c = (string)$b[0][0];
    $d = strlen($c);

    if ($d == 1) {
        $res = $con->Listar("SELECT PADRE.auxiliarproyecto FROM gf_cuenta PADRE 
                  LEFT JOIN gf_cuenta HIJO ON HIJO.predecesor = PADRE.id_unico
                  WHERE PADRE.id_unico =$id");
        // $rs = $mysqli->query($query);
        // $res = mysqli_fetch_row($rs);
        echo $res[0][0];
    } else {
        $res1 = $con->Listar("SELECT HIJO.auxiliarproyecto FROM gf_cuenta PADRE 
                   LEFT JOIN gf_cuenta HIJO ON HIJO.predecesor = PADRE.id_unico
                   WHERE HIJO.id_unico =$id");
        // $rs1 = $mysqli->query($query1);
        // $res1 = mysqli_fetch_row($rs1);
        echo $res1[0][0];
    }
}
?>

<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
